@font-face {
    font-family: Helvetica;
    src: url("../assets/fonts/Helvetica/fonts/ttc/variable.ttc");
}

@font-face {
    font-family: NotoSans;
    src: url("../assets/fonts/NotoSans/fonts/ttf/regular.ttf");
}

@font-face {
    font-family: WeblySleek;
    src: url("../assets/fonts/WeblySleek/fonts/ttf/regular.ttf");
}

:root {
    /* Sizes */

    --size-wh-xxxs: 6px;
    --size-wh-xxs: 12px;
    --size-wh-xs: 14px;
    --size-wh-s: 24px;
    --size-wh-m: 36px;
    --size-wh-l: 48px;
    --size-wh-xl: 64px;
    --size-wh-xxl: 140px;
    --size-wh-xxxl: 280px;

    --size-w-xxxs: 6px;
    --size-w-xxs: 12px;
    --size-w-xs: 14px;
    --size-w-s: 24px;
    --size-w-m: 36px;
    --size-w-l: 48px;
    --size-w-xl: 64px;
    --size-w-xxl: 140px;
    --size-w-xxxl: 280px;

    --size-h-xxxs: 6px;
    --size-h-xxs: 12px;
    --size-h-xs: 14px;
    --size-h-s: 24px;
    --size-h-m: 36px;
    --size-h-l: 48px;
    --size-h-xl: 64px;
    --size-h-xxl: 140px;
    --size-h-xxxl: 280px;

    /* Colors */

    --c-base-white: 255, 255, 255;

    --c-brand-01: 253, 64, 3;
    --c-brand-02: 3, 3, 3;
    
    --color-bg-01: rgb(var(--c-brand-02));
    --color-bg-02: #fff8f2;

    --color-string-01: rgba(var(--c-base-white), 0.8);
    --color-string-02: rgba(var(--c-base-white), 0.2);

    --color-border-01: rgba(var(--c-base-white), 0.08);
    --color-border-hover-01: rgba(var(--c-base-white), 0.2);
    
    /* Radiuses */

    --radius-s: 8px;
    --radius-m: 16px;
    --radius-l: 32px;

    /* Font sizes */

    --font-size-xxs: 8px;
    --font-size-xs: 12px;
    --font-size-s: 14px;
    --font-size-m: 18px;
    --font-size-l: 20px;
    --font-size-xl: 28px;
    --font-size-xxl: 32px;
    --font-size-xxxl: 48px;

    /* Spacings */

    --space-xxxs: 2px;
    --space-xxs: 4px;
    --space-xs: 8px;
    --space-s: 12px;
    --space-m: 20px;
    --space-l: 24px;
    --space-xl: 28px;
    --space-xxl: 36px;
    --space-xxxl: 40px;

    /* Transitions */

    --transition-01: 0.2s;
    --transition-02: 0.4s;
    --transition-03: 0.8s;
    --transition-04: 1.2s;
}

* {
    font-family: WeblySleek, NotoSans, Helvetica, Arial, sans-serif;
    font-weight: 300;

    letter-spacing: 1.8px;

    box-sizing: border-box;
    -webkit-box-sizing: border-box;
}

*::selection {
    color: var(--color-string-01);

    background-color: rgb(var(--c-brand-01));
    
    text-shadow: none;
}

*::-moz-selection {
    color: var(--color-string-01);

    background-color: rgb(var(--c-brand-01));
    
    text-shadow: none;
}

*::placeholder {
    color: var(--color-string-02);

    opacity: 1;
}

*::-ms-input-placeholder {
    color: var(--color-string-02);
}

*::-webkit-scrollbar,
*::-webkit-scrollbar-track,
*::-webkit-scrollbar-thumb,
*::-webkit-scrollbar-button {
    display: none;
}

html {
    height: 100%;

    overflow-x: hidden;
    
    scroll-behavior: smooth;
}

body {
    height: 100%;
    
    background-color: var(--color-bg-01);

    padding: 0;

    margin: 0;

    overflow-x: hidden;
}

body::-webkit-scrollbar {
    display: none;
}

main {
    width: 100%;
    height: 100%;

    /* display: flex;
    flex-direction: column;
    justify-content: space-between; */

    position: relative;

    z-index: 3;

    overflow-x: hidden;
    overflow-y: auto;
}

h1 {
    color: var(--color-string-01);

    margin: 0;
}

h2 {
    color: var(--color-string-01);

    line-height: 1.4;

    margin: 0;
}

h3,
h4,
h5,
h6 {
    color: var(--color-string-01);

    font-size: var(--font-size-m);

    line-height: 1.6;

    margin: 0;
}

p {
    color: var(--color-string-01);

    font-size: var(--font-size-m);

    line-height: 1.6;

    margin: 0;
}

span {
    color: var(--color-string-01);

    font-size: var(--font-size-m);

    line-height: 1.6;
}

a {
    color: var(--color-string-01);

    font-size: var(--font-size-m);
    
    line-height: 1.6;

    text-decoration: none;
}

a:focus {
	outline: none !important;
}

a:hover {
	text-decoration: none;
}

b {
    font-weight: 800;
}

data {
    color: var(--color-string-01);

    font-size: var(--font-size-m);
    
    line-height: 1.6;
}

input {
    color: var(--color-string-01);

    font-size: var(--font-size-m);

    line-height: 1.6;
}

input[type="submit"] {
    cursor: pointer;

    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

textarea {
    color: var(--color-string-01);

    font-size: var(--font-size-m);

    line-height: 1.6;
}

select {
    color: var(--color-string-01);
    
    cursor: pointer;
    
    appearance: none;
    -moz-appearance: none;
    -webkit-appearance: none;
}

button {
    border: none;

    color: var(--color-string-01);

    background: none;

    font-size: var(--font-size-m);

    padding: 0;

    margin: 0;

    cursor: pointer;

    user-select: none;

    -webkit-user-drag: none;
}

ul {
    list-style: none;

    padding: 0;

    margin: 0;
}

li {
    color: var(--color-string-01);

    font-size: var(--font-size-m);
    font-weight: 400;
    
    line-height: 1.6;
}

ol {
    list-style: none;
    list-style-position: inside;

    padding: 0;

    margin: 0;
}

img {
    object-fit: cover;
    object-position: center;
}

video {
    object-fit: cover;
    object-position: center;
}

.swiper-pagination-bullets.swiper-pagination-horizontal {
    width: unset;

    top: unset;
    right: unset;
    bottom: unset;
    left: unset;
}

.swiper-pagination-bullet {
    width: auto !important;
    height: auto !important;
    
    border-radius: 0 !important;
    
    background: none !important;
    
    opacity: 1 !important;
    
    margin: 0 !important;
}

@media (max-width: 1024px) {
    :root {
        --font-size-m: 16px;
        --font-size-l: 16px;
        --font-size-xxl: 32px;
        --font-size-xxxl: 32px;

        --space-xxxl: 40px;
    }
}

@media (max-width: 768px) {
    :root {
        --space-xxl: 32px;
        --space-xxxl: 32px;
    }
}

@media (max-width: 480px) {
    :root {
        --font-size-xl: 24px;
        --font-size-xxl: 24px;
        --font-size-xxxl: 24px;
        
        --space-m: 16px;
        --space-xl: 24px;
        --space-xxl: 24px;
        --space-xxxl: 24px;
    }
}